---
# Author: Guillaume Mella
# Description: install  jmmc tools
# Main information:   https://www.jmmc.fr
#

- name: "Install JMMC tools"
  block:
    - apt:
        name: [ 'icedtea-netx' , 'saods9' ]

    - blockinfile:
        dest: "/etc/profile.d/{{role_name}}.sh"
        create: yes
        marker: "# {mark} ANSIBLE MANAGED BLOCK - {{role_name}}"
        block: |
          JMMC_JNLPS="http://apps.jmmc.fr/~smprun/AppLauncher/AppLauncher.jnlp
          http://apps.jmmc.fr/~swmgr/Aspro2/Aspro2.jnlp
          http://apps.jmmc.fr/~swmgr/LITpro/LITpro.jnlp
          http://apps.jmmc.fr/~sclws/SearchCal/SearchCal.jnlp
          http://apps.jmmc.fr/~swmgr/OIFitsExplorer/OIFitsExplorer.jnlp
          http://apps.jmmc.fr/~swmgr/OImaging/OImaging.jnlp
          "
          for J in $JMMC_JNLPS
          do
            JB=$(echo $J|sed s/swmgr/betaswmgr/g)
            A=$(basename $J .jnlp)
            a=$(basename $J .jnlp | tr "[A-Z]" "[a-z]")
            #alias ${A}-beta="javaws -Xtrustall $JB"
            alias ${A}="javaws -Xtrustall $J"
            alias ${a}="javaws -Xtrustall $J"
            #alias ${a}-beta="javaws -Xtrustall $JB"
            unset A
            unset a
          done









